<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="html" encoding="UTF-8"/>

  <xsl:template match="Break">
    <p/>
  </xsl:template>

  <xsl:template match="Document">
    <xsl:for-each select="Section">
      <xsl:call-template name="processSection">
	<xsl:with-param name="sectionHead" select="position()"/>
      </xsl:call-template>
    </xsl:for-each>
  </xsl:template>


  <xsl:template match="Reference">
    <a href="{@target}.htm#{@target}"><xsl:apply-templates/></a>
  </xsl:template>


  <xsl:template match="Section"/>


  <xsl:template match="Title"/>


  <xsl:template name="processSection">
    <xsl:param name="sectionHead"/>

    <html>
      <head>
        <title>The Greenstone Librarian Interface - Help Pages</title>
      </head>
      <body bgcolor="#E0F0E0">
        <table border="2" bgcolor="#B0D0B0" cellpadding="5" cellspacing="0" width="100%">
          <tr>
            <td align="center" width="15%">
              <img height="45" src="../gatherer_medium.gif" width="45"/>
            </td>
            <td align="center" width="*">
              <a name="{@name}">
                <xsl:call-template name="processTitle">
                  <xsl:with-param name="sectionNumber" select="$sectionHead"/>
	          <xsl:with-param name="sectionTitle" select="Title"/>
                </xsl:call-template>
              </a>	    
            </td>
            <td align="center" width="15%">
              <img height="45" src="../gatherer_medium.gif" width="45"/>
            </td>
          </tr>
        </table>

        <xsl:apply-templates/>
      </body>
    </html>

    <xsl:for-each select="Section">
      <xsl:call-template name="processSection">
        <xsl:with-param name="sectionHead" select="concat($sectionHead, '.', position())"/>
      </xsl:call-template>
    </xsl:for-each>
  </xsl:template>


  <xsl:template name="processTitle">
    <xsl:param name="sectionNumber"/>
    <xsl:param name="sectionTitle"/>

    <font face="Verdana" size="5">
      <strong>
        <xsl:value-of select="concat($sectionNumber, ': ', $sectionTitle)"/>
      </strong>
    </font>
  </xsl:template>

</xsl:stylesheet>